<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
$time = time();
if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
else
{
if (isset($_GET['u']))$arr['nick']=$_GET['u'];
$nick=mysql_real_escape_string($arr['nick']);
$res=mysql_query("SELECT id FROM user WHERE nick='$nick';");
if($row=mysql_fetch_assoc($res))$ank['id']=$row['id'];
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));




if (isset($_GET['r']) && $user['gorod_brak'] != null) 
{
if ($user['pol'] == $ank['pol'] or $user['gorod_brak'] == null or $ank['gorod_brak'] == null) {header("Location: /index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$user[gorod_brak]' AND `id_kont` = '$user[id]'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$user[gorod_brak]', '$time')");
}
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`,`sys`) values('$user[id]', '$user[gorod_brak]', 'Вы разведены без раздела имущества!... Всего доброго и надеемся в следующий раз Вам больше повезет в любви.', '$time','1')"); 
mysql_query("UPDATE `user` SET `gorod_brak` = '' WHERE `id` = '$user[gorod_brak]' LIMIT 1",$db);
mysql_query("UPDATE `user` SET `gorod_brak` = '' WHERE `id` = '$user[id]' LIMIT 1",$db);
header("Location: /info.php?".SID);
exit;
}

if ($user['pol'] == $ank['pol'] or $user['gorod_brak'] != null or $ank['gorod_brak'] != null) {header("Location: /index.php?".SID);exit;}

if (isset($_GET['y']) && $ank['id'] != $user['id']){
//предложение принято
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gorod_zaks` WHERE `on` = '$ank[id]' AND `ona` = '$user[id]'"), 0)==0)
{
header("Location: /index.php?".SID);
exit;
}
$set['title']='Загс'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
$z=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_zaks` WHERE `on` = '$ank[id]' AND `ona` = '$user[id]' LIMIT 1"));
$n=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $z[on] LIMIT 1"));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$n[id]' AND `id_kont` = '$user[id]'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$n[id]', '$time')");
}
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`,`sys`) values('$user[id]', '$n[id]', 'Ваше предложение принято! Объявляю вас мужем и женой. \r\n', '$time','1')"); 
mysql_query("UPDATE `user` SET `gorod_brak` = '$user[id]' WHERE `id` = '$n[id]' LIMIT 1",$db);
mysql_query("UPDATE `user` SET `gorod_brak` = '$n[id]' WHERE `id` = '$user[id]' LIMIT 1",$db);
print '<div class="rekl">Объявляю вас мужем и женой, можете поцеловаться =)</div>';
include_once 'sys/inc/tfoot.php';
exit;
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gorod_zaks` WHERE `on` = '$ank[id]' AND `ona` = '$user[id]'"), 0)==0)
{
}else
{
header("Location: /index.php?".SID);
exit;
}



$set['title']='Загс'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
mysql_query("INSERT INTO `gorod_zaks` (`on`, `ona`, `date`) values('$user[id]', '$ank[id]', '$time')"); 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$ank[id]', '$time')");
}
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`,`sys`) values('$user[id]', '$ank[id]', 'Вам сделано предложение руки и сердца от обитателя $user[nick]. \r\n[url=/zags.php?id=$user[id]&y]Принять[/url]', '$time','1')"); 
print '<div class="rekl">Предложение сделано!</div>';
include_once 'sys/inc/tfoot.php';
?>